package com.blue.running.keyboard.run_key;



import java.util.ArrayList;
import java.util.List;

public class RequestConfigLayout {
    private String name;
    private List<KeyMode> keyModes = new ArrayList<>();


    public RequestConfigLayout(String name) {
        this.name = name;
    }

    // Getters and Setters
    public String getName() {
        return name;
    }

    public List<KeyMode> getKeys() {
        return keyModes;
    }

    public void addKey(KeyMode keyMode) {
        this.keyModes.add(keyMode);
    }

    public KeyMode getLastKey() {
        return keyModes.isEmpty() ? null : keyModes.get(keyModes.size() - 1);
    }


}